%set_verify_elf_method unresolved=strict

Name: gnustep-LuserNET
Version: 0.4.2
Release: alt3.M70T.1
Summary: News reader for GNUstep
License: GPL
Group: Graphical desktop/GNUstep
Url: http://packages.debian.org/ru/jessie/lusernet.app
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar
Source1: %name.menu

BuildPreReq: clang-devel gnustep-make-devel libgnustep-objc2-devel /proc
BuildPreReq: gnustep-gui-devel
BuildPreReq: libgmp-devel libgnutls-devel libgcrypt-devel
BuildPreReq: libxslt-devel libffi-devel libicu-devel zlib-devel
BuildPreReq: gnustep-Pantomime-devel

Requires: gnustep-Pantomime
Requires: gnustep-back

%description
LuserNET is an NNTP based news reader for GNUstep. Although it's at an
early version, it's already quite usable. The following features are
available:

* Coloring of messages based on quoting depth.
* Background read-ahead.
* Intelligent scrolling.
* Handles multiple servers.
* Completely asynchronous.
* Good MIME conformance and handling.

%prep
%setup

%build
. %_datadir/GNUstep/Makefiles/GNUstep.sh

%make_build \
	messages=yes \
	debug=yes \
	strip=no \
	shared=yes
 
%install
. %_datadir/GNUstep/Makefiles/GNUstep.sh

%makeinstall_std GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

install -p -D -m644 %SOURCE1 %buildroot%_menudir/%name

%files
%doc Changes README
%_bindir/*
%_libdir/GNUstep
%_menudir/*

%changelog
* Sat Feb 15 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.2-alt3.M70T.1
- Built for t7/branch

* Sat Feb 15 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.2-alt4
- Built with clang

* Mon Feb 10 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.2-alt2.M70T.1
- Built for t7/branch

* Mon Feb 10 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.2-alt3
- Added menu file (thnx kostyalamer@)

* Tue Feb 04 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.2-alt1.M70T.1
- Built for t7/branch

* Wed Jan 29 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.2-alt2
- Added Requires: gnustep-back

* Sat Jan 25 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.2-alt1
- Initial build for Sisyphus

